Gary's …Lasamia

Filtering dylib with CoreFoundation Version number

As we know, start from iOS 9.0, the filter plist must exist or your extension (dylib) won’t work.

Most developer use bundle name filtered extension loaded only if the bundle-ID of the running application (such as SpringBoard) matches the list.

IMG_0012

Moreover, you can filter extension by system version in the same time. (Check info on iphonedevwiki)
IMG_0013

From info on iphonedevwiki, it tell us that add the CoreFoundationVersion by this way:

however, it doesn’t works.

So after I tried, the correct method may be this:

You must add CoreFoundationVersion filter outside the “filter block” so the substrate will work.

More:
You can find CoreFoundation Version number of each iOS system version here: wiki link
Check Cydia Substrate here:link

發表迴響